<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
            <title>{% block title %} Appsolute-Test {% endblock %}</title>
            <link href="{{ asset('css/reset.css') }}" rel="stylesheet" />
            <link href="https://bootswatch.com/4/darkly/bootstrap.min.css" rel="stylesheet"/>
            <link href="{{ asset('css/main.css') }}" rel="stylesheet" />
            <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous">
            <link href="{{ asset('css/main.css') }}" rel="stylesheet" />
            {% block stylesheets %}{% endblock %}
    </head>

    <header>

        {% block header %}

        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <button aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler" data-target="#navbarColor01" data-toggle="collapse" type="button"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link btn btn-primary" href="{{path("all_messages")}}"><i class="fab fa-twitter"></i><span class="sr-only">(current)</span></a>
                    </li>

                    {% if not app.user %}

                    <li class="nav-item">
                        <a class="nav-link btn-primary" href="{{path("add_user")}}">Registration</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link btn-primary" href="{{path("app_login")}}">Login</a>
                    </li>

                    {% endif %}

                    {% if app.user %}

                    <li class="nav-item">
                        <a class="nav-link btn-primary" href="{{path("logout")}}">Logout</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link btn-primary" href="{{path("message_user", { id:app.user.id})}}">Management menu</a>
                    </li>

                    {% endif %}

                </ul>
            </div>
        </nav>

        {% endblock header %}

    </header>

    <body>
        {% block body %}{% endblock %}
        {% block javascripts %}{% endblock %}
    </body>
</html>
    